# std::sub_match::length

From cppreference.com
< cpp‎ | regex‎ | sub match

difference_type length() const; |  |

### Parameters

(none)

### Return value

Returns the number of characters in the match, i.e. std::distance(first, second) if the match is valid, 0 otherwise.

### Complexity

Constant

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/regex/sub_match/length&oldid=41739"